function CleanUI_InitGameMenu()
    
    if (not GameMenuFrame.info) then
        local title = GetAddOnMetadata("CleanUI", "Title");
        local version = GetAddOnMetadata("CleanUI", "Version");
    
        GameMenuFrame.info = GameMenuFrame:CreateFontString("GameMenuFrameInfo", "ARTWORK");
        GameMenuFrame.info:SetFontObject("CuiFont_ExtraSmall");
        GameMenuFrame.info:SetText("powered by |c333399ff"..title.."|r ("..version..")");
        GameMenuFrame.info:SetJustifyH("CENTER");
        GameMenuFrame.info:SetSize(180, 15);
        GameMenuFrame.info:ClearAllPoints();
        GameMenuFrame.info:SetPoint("BOTTOMLEFT", GameMenuFrame, "BOTTOMLEFT", 0, 10);
        GameMenuFrame.info:SetPoint("BOTTOMRIGHT", GameMenuFrame, "BOTTOMRIGHT", 0, 10);
    end

    hooksecurefunc("GameMenuFrame_UpdateVisibleButtons", CleanUI_GameMenuFrame_UpdateVisibleButtons);
end

function CleanUI_GameMenuFrame_UpdateVisibleButtons()
    local height = GameMenuFrame:GetHeight() + 45;
    GameMenuFrame:SetHeight(height);

    GameMenuButtonLogout:ClearAllPoints();
    GameMenuButtonLogout:SetPoint("TOP", CleanUIGameMenuButtonReloadUI, "BOTTOM", 0, -10);
end